
{% extends 'base.html.twig' %}

{% block title %}Homepage !{% endblock %}

{% block body %}
    <h1>{{ title }}</h1>

{% for post in Posts %}
	<div class="post">
	<div class="post-description">
	<h2>Nom : {{ post.name }}</h2>
	<h6>Categorie : {{ post.categorie }}</h6>
	<h6>Description : {{ post.description }}</h6>
		{% if post.NbTelechargement > 1 %}
			<h6> Nombres de Téléchargements : {{ post.NbTelechargement }}</h6>
		{% else %}
			<h6> Nombre de Téléchargement : {{ post.NbTelechargement }}</h6>
		{% endif %}:
	<div class="bouton">
	<div class="telechargement">
	{% if app.user %}
		<a href="{{ path('add1telechargement',{'id': post.id,'idu':app.user.id}) }}" href={{post.lien}} target="_parent"><input type="button" value="Télécharge" class="telechargement"></a>
	{% endif %}
	</div>
	<div class="modifier">
	{% if app.user == post.user %}
		<a href="/editpost/{{post.id}}" target="_parent"><input type="button" value="modifier" class="modifier"></a>
	{% endif %}
	</div>
	</div>
	</div>
	<div class="post-img">
	<img src={{post.image}}/>
	</div>
	
	</div>
	<div class="bar" id="carre"></div>
{% endfor %}

{% endblock %}